Skip to main content
GET
/
user
/
ip-whitelist
Get Whitelisted IPs
curl --request GET \
  --url https://staging-api.getpartna.com/v4/user/ip-whitelist \
  --header 'x-api-key: <api-key>' \
  --header 'x-api-user: <api-key>'
import requests

url = "https://staging-api.getpartna.com/v4/user/ip-whitelist"

headers = {
"x-api-key": "<api-key>",
"x-api-user": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>', 'x-api-user': '<api-key>'}};

fetch('https://staging-api.getpartna.com/v4/user/ip-whitelist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    "127.0.0.1"
  ],
  "message": "success"
}

Authorizations

x-api-key
string
header
required
x-api-user
string
header
required

Query Parameters

merchantName
string

Response

200 - application/json

get merchant whitelisted ip addresses ok

data
string[]
message
string